This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 810574 - cppcheck errors
cppcheck errors
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libtiff (Show other bugs)
6.2
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Nikola Forró
BaseOS QE - Apps
:
Depends On:
Blocks: 947775 1070830 1159820
  Show dependency treegraph
 
Reported: 2012-04-06 15:32 EDT by Karel Volný
Modified: 2016-06-22 05:11 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2012-04-06 15:32:48 EDT
Description of problem:
cppcheck reports some errors that may (or may not) be critical

Version-Release number of selected component (if applicable):
libtiff-3.9.4-5.el6_2

How reproducible:
always

Steps to Reproduce:
1. rpm -i libtiff-3.9.4-5.el6_2.src.rpm
2. rpmbuild -bp ~/rpmbuild/SPECS/libtiff.spec
3. cppcheck -f -v --quiet ~/rpmbuild/BUILD/tiff-3.9.4/
  
Actual results:
[/root/rpmbuild/BUILD/tiff-3.9.4/contrib/dbs/tiff-grayscale.c:89]: (error) Memory leak: gray
[/root/rpmbuild/BUILD/tiff-3.9.4/contrib/dbs/tiff-palette.c:222]: (error) Memory leak: red
[/root/rpmbuild/BUILD/tiff-3.9.4/contrib/dbs/tiff-palette.c:222]: (error) Memory leak: green
[/root/rpmbuild/BUILD/tiff-3.9.4/contrib/dbs/tiff-palette.c:222]: (error) Memory leak: blue
[/root/rpmbuild/BUILD/tiff-3.9.4/contrib/iptcutil/iptcutil.c:297]: (error) Memory leak: str
[/root/rpmbuild/BUILD/tiff-3.9.4/tools/fax2ps.c:384]: (error) Possible null pointer dereference: fd - otherwise it is redundant to check if fd is null at line 382
[/root/rpmbuild/BUILD/tiff-3.9.4/tools/fax2ps.c:342]: (error) Common realloc mistake: 'pages' nulled but not freed upon failure
[/root/rpmbuild/BUILD/tiff-3.9.4/tools/ras2tiff.c:93]: (error) Resource leak: in
[/root/rpmbuild/BUILD/tiff-3.9.4/tools/tiff2pdf.c:1955]: (error) Possible null pointer dereference: tbc
[/root/rpmbuild/BUILD/tiff-3.9.4/tools/tiff2pdf.c:1839]: (error) Possible null pointer dereference: sbc
[/root/rpmbuild/BUILD/tiff-3.9.4/tools/tiff2pdf.c:1846]: (error) Possible null pointer dereference: sbc
[/root/rpmbuild/BUILD/tiff-3.9.4/tools/tiff2ps.c:1892]: (error) Possible null pointer dereference: tf_buf - otherwise it is redundant to check if tf_buf is null at line 1893
[/root/rpmbuild/BUILD/tiff-3.9.4/tools/tiffcrop.c:2057]: (error) Dangerous usage of 'exportname' (strncpy doesn't always 0-terminate it)


Expected results:
(no errors)

Additional info:
Comment 2 RHEL Product and Program Management 2012-09-07 01:16:41 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.